PMC_GET_DRIVER_STATS(3)

NAME
pmc_get_driver_stats - retrieve driver statistics

LIBRARY
libpmc

SYNOPSIS
#include <pmc.h>
int
pmc_get_driver_stats(struct pmc_driverstats *gms);

DESCRIPTION
The function pmc_get_driver_statistics() retrieves a snapshot of the usage statistics maintained by hwpmc(4) into the memory area pointed to by argument gms.

The returned structure includes the following fields:
pm_intr_ignored
    The number of sampling interrupts ignored.
pm_intr_processed
    The number of sampling interrupts processed.
pm_intr_bufferfull
    The number of sampling interrupts dropped due to lack of space in the sample buffer.
pm_syscalls
    The number of system calls into hwpmc(4).
pm_syscalls_errors
    The number of system calls into hwpmc(4) that failed.
pm_buffer_requests
    The number of log buffer requests so far.
pm_buffer_requests_failed
    The number of log buffer requests that failed due to lack of buffers.
pm_log_sweeps
    The number of sample buffer processing sweeps.

RETURN VALUES

SEE ALSO
pmc(3), hwpmc(4)